Page MenuHomeFreeBSD

lsof: Fix build on FreeBSD CURRENT
ClosedPublic

Authored by cem on May 21 2019, 9:53 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jul 17, 5:50 PM
Unknown Object (File)
Sun, Jun 23, 1:47 PM
Unknown Object (File)
May 24 2024, 6:52 AM
Unknown Object (File)
May 24 2024, 6:52 AM
Unknown Object (File)
May 24 2024, 6:51 AM
Unknown Object (File)
May 24 2024, 6:20 AM
Unknown Object (File)
Apr 23 2024, 6:52 AM
Unknown Object (File)
Apr 20 2024, 3:15 PM
Subscribers

Details

Summary

sys/_lock.h is no longer implicitly included in such a way that the #ifdef
_KERNEL #error in lockmgr.h is bypassed after r347984. Fix lsof to explicitly
include _lock.h with _KERNEL defined on 13.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 24369
Build 23189: arc lint + arc unit

Event Timeline

As to EOL releases, I'll discuss with the lsof-org folks.

This revision was not accepted when it landed; it landed in state Needs Review.May 22 2019, 2:34 AM
This revision was automatically updated to reflect the committed changes.